Bug 104157 - [CI] igt@gem_mocs_settings@mocs-settings-ctx-dirty-render - fail - Test assertion failure function gem_execbuf - Failed assertion: __gem_execbuf(fd, execbuf) == 0
Summary: [CI] igt@gem_mocs_settings@mocs-settings-ctx-dirty-render - fail - Test asser...
Status: CLOSED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: DRI git
Hardware: Other All
: medium normal
Assignee: Marta Löfstedt
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard: ReadyForDev
Keywords:
Depends on:
Blocks:
 
Reported: 2017-12-07 08:50 UTC by Marta Löfstedt
Modified: 2017-12-11 09:50 UTC (History)
1 user (show)

See Also:
i915 platform: BXT
i915 features: GEM/Other


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Marta Löfstedt 2017-12-07 08:50:51 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3468/shard-apl2/igt@gem_mocs_settings@mocs-settings-ctx-dirty-render.html

(gem_mocs_settings:1647) ioctl-wrappers-CRITICAL: Test assertion failure function gem_execbuf, file ioctl_wrappers.c:604:
(gem_mocs_settings:1647) ioctl-wrappers-CRITICAL: Failed assertion: __gem_execbuf(fd, execbuf) == 0
(gem_mocs_settings:1647) ioctl-wrappers-CRITICAL: error: -1 != 0
Subtest mocs-settings-ctx-dirty-render failed.
Comment 1 Chris Wilson 2017-12-07 09:48:22 UTC
gem_mocs_settings requires master... There must have been another client still running.
Comment 2 Jani Saarinen 2017-12-07 12:20:51 UTC
Reference: https://patchwork.freedesktop.org/series/35019/
Comment 3 Jani Saarinen 2017-12-07 12:21:56 UTC
Also find more info on: https://patchwork.freedesktop.org/series/35023/
Comment 4 Chris Wilson 2017-12-08 11:39:30 UTC
This will make gem_mocs_settings skip instead of fail:

commit 79ac7d54a0cdb4851dad77a17f6971652718ddb7 (HEAD, upstream/master)
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Thu Dec 7 09:47:45 2017 +0000

    igt/gem_mocs_settings: Force use of master device
    
    To use SECURE batches requires root + master, and we need SECURE batches
    to write to the privileged mocs registers, do be sure to use
    drm_open_driver_master()
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=104157
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>
    Reviewed-by: Joonas Lahtinen <joonas.lahtinen@linux.intel.com>


The underlying problem of a rogue client would remain, but appears very sporadic.
Comment 5 Marta Löfstedt 2017-12-11 09:50:23 UTC
Patch included in CI_DRM_3484, results are green I will close


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.